
Redmine - Defect #15319

Can't Move Parent Ticket Between Projects

2013-11-11 16:42 - William Roush

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 2.3.2

Description

I have a ticket that has children two issues deep, and I cannot move the parent ticket to another project.

Clicking submit brings me back to the update page, clicking submit again brings me to conflict resolution, and telling it to apply my

changes just results in it bringing me back to the update page.

I've removed all categories/versions/project dependent fields and I'm kind of stumped...

Related issues:

Related to Redmine - Patch #23888: Show an error message when changing an iss... Closed

History

#1 - 2013-11-11 16:42 - William Roush

Additionally nothing shows in production.log.

#2 - 2016-05-17 10:46 - Robin McKenzie

I've seen this issue too.  In my case, one of the child tickets was in a different project.  Moving that over allowed the parent one to move.

That's also a bug (cross-project tickets should be possible in all circumstances), but this allows you to work around it.

In my case, I was able to move the child ticket back to its original project once the parent had moved.

Hope that helps!  (Albeit over 2 years after you logged this...)

#3 - 2016-10-21 15:35 - Toshi MARUYAMA

- Related to Patch #23888: Show an error message when changing an issue's project fails due to errors in child issues added

#4 - 2017-01-16 09:01 - Toshi MARUYAMA

- Status changed from New to Closed

#23888 adds error message and you can see why you can't move.
